Subject: Re: resend: apache diffs
From: [email-masked]

14 Dec 1996 19:02:15 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked] (Howard Fear)
In-Reply-To: <[email-masked]> from "Howard Fear" at Dec 14, 96 06:44:50 pm
X-Mailer: ELM [version 2.4 PL25 PGP2]
Content-Length: 1554      
Original-Sender: [email-masked]

Hi Howard,

I get stuck two places:

	-first of all when acceding the scoreboard file there's a
	 sharimg violation error that is erroneously reported ( and
	 the write/read pass through) that set the errno.

	 The errno is not cleared when the child try to select a socket
	 and this givw you a looping print in the error_log

	-second, also if you hard wired the errno to EINTR, the select
	 simply don't work, loops forever and suck all the cpu

	-third (I've forgot) also if you put a sleep in the select cycle,
	 it don't work.

Someone wrote on this list that's probably because there'e no mean in NT
to make different processes to select on the same sockets.

The porting on NT is interesting enough, but I would prefere not to get stuck
in a dead way.

Some hints?

ciao,

-giovanni
-- 

          ***********************************************
          *                                             *
          *                                             *
          *    MATRICE srl                              *
          *    Information Technology Solutions         *
          *                                             *
          *    Giovanni Maruzzelli                      *
          *                                             *
          *                                             *
          *                                             *
          *    [email-masked]                        *
          *    http://www.matrice.it                    *
          ***********************************************
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".